Page MenuHomePhabricator

Upload gerrit package to stretch apt.wm.org repo
Closed, ResolvedPublic

Description

Hi, could the gerrit package be uploaded to stretch apt.wm.org repo please?

apt-get install gerrit
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package gerrit

Related Objects

StatusAssignedTask
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedNone
ResolvedRobH
ResolvedMarostegui
Resolvedjcrespo
ResolvedPapaul
ResolvedMarostegui
ResolvedRobH
ResolvedRobH
OpenNone
ResolvedPaladox
ResolvedPaladox
DeclinedNone
ResolvedPaladox
Resolvedhashar
Resolvedhashar
Resolvedhashar
ResolvedNone
ResolvedJoe
ResolvedJoe
ResolvedJdforrester-WMF
Resolvedbd808
Resolvedhashar
Resolvedhashar
Duplicatehashar
OpenNone
OpenNone

Event Timeline

Paladox created this task.May 17 2017, 5:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 17 2017, 5:58 PM
Paladox moved this task from Bugs & stuff to Local hacks on the Gerrit board.May 18 2017, 10:07 PM
Dzahn triaged this task as Normal priority.Jun 9 2017, 9:28 PM
Dzahn added a subscriber: Dzahn.

<mutante> !log copper: building gerrit_2.13.8+git1-wmf.6 for stretch (experimental)

Dzahn added a comment.Jun 21 2017, 9:17 PM

well.. scratch that separate build. i just built it for jessie like last time and then i copied it from jessie to stretch with reprepro.

14:18 < mutante> !log apt.wm.org - reprepro copy stretch-wikimedia jessie-wikimedia gerrit - make gerrit available in stretch

@install1002:/srv/wikimedia/incoming/gerrit/stretch# reprepro ls gerrit

gerrit | 2.13.8+git1-wmf.6 |  jessie-wikimedia | amd64, i386, source
gerrit | 2.13.8+git1-wmf.6 | stretch-wikimedia | amd64, i386, source
Dzahn added a comment.Jun 21 2017, 9:17 PM

This works because it's just a .war file for ALL anyways.

Dzahn closed this task as Resolved.Jun 21 2017, 9:20 PM
Dzahn claimed this task.
[planet2001:~] $ lsb_release -a
No LSB modules are available.
Distributor ID:	Debian
Description:	Debian GNU/Linux 9.0 (stretch)
Release:	9.0
Codename:	stretch

[planet2001:~] $ sudo apt-get -s install gerrit 
..
Conf openjdk-8-jre (8u131-b11-2 Debian:9.0/stable [amd64])
Conf gerrit (2.13.8+git1-wmf.6 Wikimedia:9/stretch-wikimedia [all])
..
Dzahn changed the status of subtask T168562: Reimage gerrit2001 as stretch from Open to Stalled.Sep 28 2017, 8:13 PM